<script type="text/javascript">
	var parentwin = external.menuArguments;
	var doc		  = parentwin.document;
	var sel		  = doc.selection;
	var rng		  = sel.createRange();
	var str		  = new String( rng.text );
	var reg		  = /^[-()._+ 0-9]+$/;

	if( str.length == 0 )
	{
		alert( "마우스를 드래그해서 전화번호를 선택 하세요." );
	}
	else if( str.length < 8 )
	{
		alert( "전화번호를 선택 하세요.\n전화번호는 8자 이상이어야 합니다.");
	}
	else if( str.length >= 64 )
	{
		alert( "유효한 전화번호를 선택하세요");
	}
	else
	{
		if( ! reg.test( str ) )
		{
			alert( "선택하신 영역에 전화번호가 없습니다." );
		}
		else
		{
			var lastindex	= document.location.pathname.replace(/%20/g," ").lastIndexOf( "\\" );
			var path		= document.location.pathname.replace(/%20/g," ").substring( 0, lastindex + 1 );
			var objWSH		= new ActiveXObject("WScript.Shell"); 
			var retval		= objWSH.Run( "\"" + path + "BrowserCall.exe\" SMS " + "\"" + str + "\"", 1, false ); 
		}
	}
</script>